org.eclipse.emf.cdo.spi.common

## Class CDOAuthenticationResult

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.CDOAuthenticationResult

- All Implemented Interfaces:
    Serializable

  Deprecated.
  As of 4.2

      @Deprecated
      public final class CDOAuthenticationResult
      extends Object
      implements Serializable

  The result of an authentication operation. Carries a userID and a crypted token.
  Since:
    4.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOAuthenticationResult(ExtendedDataInput in)` Deprecated.
    `CDOAuthenticationResult(String userID, byte[] cryptedToken)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCryptedToken()` Deprecated.
    `String` | `getUserID()` Deprecated.
    `void` | `write(ExtendedDataOutput out)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOAuthenticationResult

          public CDOAuthenticationResult(String userID,
                                         byte[] cryptedToken)

      Deprecated.

    - #### CDOAuthenticationResult

          public CDOAuthenticationResult(ExtendedDataInput in)
                                  throws IOException

      Deprecated.
      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write(ExtendedDataOutput out)
                     throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### getUserID

          public String getUserID()

      Deprecated.

    - #### getCryptedToken

          public byte[] getCryptedToken()

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html